# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import filer.fields.image


class Migration(migrations.Migration):

    dependencies = [
        ('filer', '0002_auto_20150606_2003'),
        ('cms', '0012_auto_20150607_2207'),
    ]

    operations = [
        migrations.CreateModel(
            name='ButtonSettings',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(parent_link=True, auto_created=True, primary_key=True, serialize=False, to='cms.CMSPlugin')),
                ('status', models.BooleanField(default=True, help_text='if not checked, plugin content will not be rendered', verbose_name='Active')),
                ('text_button', models.CharField(max_length=255, verbose_name='text')),
                ('url_link', models.CharField(help_text=b'per link interni utilizzare percorsi relativi', max_length=255, verbose_name='link')),
                ('target', models.CharField(default=b'b', max_length=2, verbose_name='target', choices=[(b'b', 'blank: Opens the linked document in a new window or tab'), (b's', 'self: Opens the linked document in the same frame as it was clicked (this is default)'), (b'p', 'parent: Opens the linked document in the parent frame'), (b't', 'top: Opens the linked document in the full body of the window')])),
                ('disable_if_not_user', models.BooleanField(default=False, verbose_name='disable if not user (se flaggato visibile solo se loggato)')),
                ('disable_if_not_lead', models.BooleanField(default=False, verbose_name='disable if not customer (se flaggato visibile solo se cliente)')),
                ('image', filer.fields.image.FilerImageField(blank=True, to='filer.Image', help_text=b"l' immagine sar\xc3\xa0 lo sfondo dei pulsanti della nav_secondary e deve essere 263px x 40px", null=True, verbose_name='immagine')),
            ],
            options={
                'verbose_name': 'Button Setting',
            },
            bases=('cms.cmsplugin', models.Model),
        ),
    ]
