# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'CookieSettings'
        db.create_table('cmsplugin_cookiesettings', (
            ('cmsplugin_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['cms.CMSPlugin'], unique=True, primary_key=True)),
            ('status', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('template_name', self.gf('django.db.models.fields.CharField')(default='cookie/cms_plugins/cookie.html', max_length=255)),
            ('body', self.gf('jmb.core.db.fields.HTMLFieldTinyMCE')(max_length=255)),
            ('dismiss_text', self.gf('django.db.models.fields.CharField')(default='X', max_length=255)),
            ('policy_link', self.gf('django.db.models.fields.URLField')(max_length=255)),
            ('text_color', self.gf(u'colorful.fields.RGBColorField')()),
            ('background_color', self.gf(u'colorful.fields.RGBColorField')()),
            ('dismiss_on_scroll', self.gf('django.db.models.fields.BooleanField')(default=True)),
        ))
        db.send_create_signal('cookie', ['CookieSettings'])


    def backwards(self, orm):
        # Deleting model 'CookieSettings'
        db.delete_table('cmsplugin_cookiesettings')


    models = {
        'cms.cmsplugin': {
            'Meta': {'object_name': 'CMSPlugin'},
            'changed_date': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'creation_date': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.CharField', [], {'max_length': '15', 'db_index': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.CMSPlugin']", 'null': 'True', 'blank': 'True'}),
            'placeholder': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.Placeholder']", 'null': 'True'}),
            'plugin_type': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'}),
            'position': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'})
        },
        'cms.placeholder': {
            'Meta': {'object_name': 'Placeholder'},
            'default_width': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slot': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'})
        },
        'cookie.cookiesettings': {
            'Meta': {'object_name': 'CookieSettings', 'db_table': "'cmsplugin_cookiesettings'", '_ormbases': ['cms.CMSPlugin']},
            'background_color': (u'colorful.fields.RGBColorField', [], {}),
            'body': ('jmb.core.db.fields.HTMLFieldTinyMCE', [], {'max_length': '255'}),
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'dismiss_on_scroll': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'dismiss_text': ('django.db.models.fields.CharField', [], {'default': "'X'", 'max_length': '255'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'policy_link': ('django.db.models.fields.URLField', [], {'max_length': '255'}),
            'status': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'default': "'cookie/cms_plugins/cookie.html'", 'max_length': '255'}),
            'text_color': (u'colorful.fields.RGBColorField', [], {})
        }
    }

    complete_apps = ['cookie']