from django.utils.translation import ugettext_lazy as _


INFORMATION_FORM_CMSPLUGIN_FORM_TEMPLATES = (
    ("cms_plugins/information_form.html", _("information form template"),),
)

INFORMATION_FORM_CMSPLUGIN_THANKS_TEMPLATES = (
    ("cms_plugins/information_thanks.html", _("information thanks template"),),
)

INFORMATION_FORM_CMSPLUGIN_EMAIL_TEMPLATES = (
    ("cms_plugins/information_email.html", _("information email sent template"),),
)

INFORMATION_FORM_CMSPLUGIN_DONE_EMAIL_TEMPLATE = "cms_plugins/customer_done_email.html"

INFORMATION_FORM_CMSPLUGIN_FORM_CLASSES = (
    (
        "jmb.cms.information_form.cms.forms.InformationForm",
        _("information form"),
    ),
    (
        "jmb.cms.information_form.cms.forms.InformationMessageForm",
        _("information message form"),
    ),
)
