# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding field 'InformationSettings.customer_done_email'
        db.add_column(u'cmsplugin_informationsettings', 'customer_done_email',
                      self.gf('django.db.models.fields.TextField')(default='thank you'),
                      keep_default=False)


        # Changing field 'InformationSettings.thanks'
        db.alter_column(u'cmsplugin_informationsettings', 'thanks', self.gf('django.db.models.fields.CharField')(max_length=250))

    def backwards(self, orm):
        # Deleting field 'InformationSettings.customer_done_email'
        db.delete_column(u'cmsplugin_informationsettings', 'customer_done_email')


        # Changing field 'InformationSettings.thanks'
        db.alter_column(u'cmsplugin_informationsettings', 'thanks', self.gf('django.db.models.fields.CharField')(max_length=200))

    models = {
        'cms.cmsplugin': {
            'Meta': {'object_name': 'CMSPlugin'},
            'changed_date': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'creation_date': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.CharField', [], {'max_length': '15', 'db_index': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.CMSPlugin']", 'null': 'True', 'blank': 'True'}),
            'placeholder': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.Placeholder']", 'null': 'True'}),
            'plugin_type': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'}),
            'position': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'})
        },
        'cms.placeholder': {
            'Meta': {'object_name': 'Placeholder'},
            'default_width': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slot': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'})
        },
        'information_form.informationsettings': {
            'Meta': {'object_name': 'InformationSettings', 'db_table': "u'cmsplugin_informationsettings'", '_ormbases': ['cms.CMSPlugin']},
            'classes': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            u'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'customer_done_email': ('django.db.models.fields.TextField', [], {}),
            'email_template_name': ('django.db.models.fields.CharField', [], {'default': "'/cms_plugins/information_email.html'", 'max_length': '100'}),
            'form': ('django.db.models.fields.CharField', [], {'default': "'jmb.cms.information_form.cms.forms.InformationForm'", 'max_length': '100'}),
            'form_template_name': ('django.db.models.fields.CharField', [], {'default': "'/cms_plugins/information_form.html'", 'max_length': '100'}),
            'privacy_statement': ('django.db.models.fields.TextField', [], {}),
            'sent_from': ('django.db.models.fields.EmailField', [], {'max_length': '75'}),
            'sent_to': ('jmb.cms.information_form.cms.models.EmailListField', [], {'max_length': '250'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'thanks': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'thanks_template_name': ('django.db.models.fields.CharField', [], {'default': "'/cms_plugins/information_thanks.html'", 'max_length': '100'})
        }
    }

    complete_apps = ['information_form']