# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ('navbar', '0001_initial'),
    ]

    operations = [
        migrations.AlterField(
            model_name='navitem',
            name='status',
            field=models.IntegerField(default=1, help_text='\n        If parent is hidden, this object will set to hidden to.\n        If the parent is visible only to logged in users, this object cannot be visible to all.\n        If the status changes, the status of the descendants could also be changed.\n        ', null=True, verbose_name='Status', choices=[(1, 'Visible'), (0, 'Hidden'), (2, 'Visible to authenticated users')]),
        ),
    ]
