# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'InformationSettings'
        db.create_table(u'cmsplugin_informationsettings', (
            (u'cmsplugin_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['cms.CMSPlugin'], unique=True, primary_key=True)),
            ('status', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('slug', self.gf('django.db.models.fields.SlugField')(max_length=100, null=True, blank=True)),
            ('classes', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('form', self.gf('django.db.models.fields.CharField')(default='jmb.cms.information_form.cms.forms.InformationForm', max_length=100)),
            ('sent_to', self.gf('django.db.models.fields.EmailField')(max_length=75)),
            ('sent_from', self.gf('django.db.models.fields.EmailField')(max_length=75)),
            ('thanks', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('form_template_name', self.gf('django.db.models.fields.CharField')(default='/cms_plugins/information_form.html', max_length=100)),
            ('thanks_template_name', self.gf('django.db.models.fields.CharField')(default='/cms_plugins/information_thanks.html', max_length=100)),
            ('email_template_name', self.gf('django.db.models.fields.CharField')(default='/cms_plugins/information_email.html', max_length=100)),
        ))
        db.send_create_signal('information_form', ['InformationSettings'])


    def backwards(self, orm):
        # Deleting model 'InformationSettings'
        db.delete_table(u'cmsplugin_informationsettings')


    models = {
        'cms.cmsplugin': {
            'Meta': {'object_name': 'CMSPlugin'},
            'changed_date': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'creation_date': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.CharField', [], {'max_length': '15', 'db_index': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.CMSPlugin']", 'null': 'True', 'blank': 'True'}),
            'placeholder': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.Placeholder']", 'null': 'True'}),
            'plugin_type': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'}),
            'position': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'})
        },
        'cms.placeholder': {
            'Meta': {'object_name': 'Placeholder'},
            'default_width': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slot': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'})
        },
        'information_form.informationsettings': {
            'Meta': {'object_name': 'InformationSettings', 'db_table': "u'cmsplugin_informationsettings'", '_ormbases': ['cms.CMSPlugin']},
            'classes': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            u'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'email_template_name': ('django.db.models.fields.CharField', [], {'default': "'/cms_plugins/information_email.html'", 'max_length': '100'}),
            'form': ('django.db.models.fields.CharField', [], {'default': "'jmb.cms.information_form.cms.forms.InformationForm'", 'max_length': '100'}),
            'form_template_name': ('django.db.models.fields.CharField', [], {'default': "'/cms_plugins/information_form.html'", 'max_length': '100'}),
            'sent_from': ('django.db.models.fields.EmailField', [], {'max_length': '75'}),
            'sent_to': ('django.db.models.fields.EmailField', [], {'max_length': '75'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'thanks': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'thanks_template_name': ('django.db.models.fields.CharField', [], {'default': "'/cms_plugins/information_thanks.html'", 'max_length': '100'})
        }
    }

    complete_apps = ['information_form']