# -*- coding: utf-8 -*-
from django.conf import settings
from django.db import models

from cms.models.pluginmodel import CMSPlugin


class MenuSettings(CMSPlugin):
    template_name = models.CharField(
        max_length=100,
        choices=settings.MENU_CMSPLUGIN_MENUSETTINGS_TEMPLATES,
        default="menu/top_menu_3x2.html",
    )

    class Meta:
        app_label = "menu_cms"
