# -*- coding: utf-8 -*-
from django.utils.translation import ugettext_lazy as _

NAVITEM_LINK = "< https://www.nome_sito.it/ >"

NAV_CMSPLUGIN_TEMPLATES = (
    ('nav/cms_plugins/nav.html', 'navbar',),
    ('nav/cms_plugins/nav_only_menu.html', 'navbar only menu',),
)
NAVBAR_NAVITEM_STATUS_CODES = (
    (1, _('Visible'),),
    (0, _('Hidden'),),
    (2, _('Visible to authenticated users'))
)
NAVBAR_NAVITEM_TARGET_CHOICES = (
    ('b', _('blank: Opens the linked document in a new window or tab')),
    ('s', _('self: Opens the linked document in the same frame as it was clicked (this is default)')),
    ('p', _('parent: Opens the linked document in the parent frame')),
    ('t', _('top: Opens the linked document in the full body of the window')),
)
NAVBAR_NAVITEM_TARGET_VALUES = {'b': '_blank', 's': '_self', 'p': '_parent', 't': '_top'}