# -*- coding: utf-8 -*-
from django.utils.translation import ugettext_lazy as _

SIZE_CHOICES = (
    ('100%', _('100% relative his container')),
    ('50%', _('50% relative his container')),
)

BUTTON_TARGET_CHOICES = (
    ('b', _('blank: Opens the linked document in a new window or tab')),
    ('s', _('self: Opens the linked document in the same frame as it was clicked (this is default)')),
    ('p', _('parent: Opens the linked document in the parent frame')),
    ('t', _('top: Opens the linked document in the full body of the window')),
)
BUTTON_TARGET_VALUES = {'b': '_blank', 's': '_self', 'p': '_parent', 't': '_top'}