# -*- coding: utf-8 -*-
from django.db import models
from django.utils.translation import ugettext as _
from jmb.core.db.cmsmodels import StatusModel
from cms.models.pluginmodel import CMSPlugin


class SimpleTextSettings(CMSPlugin, StatusModel):
    simple_text = models.CharField(
        max_length=255,
        verbose_name=_('Simple text'),
        help_text="il testo verrà renderizzato nel template",
    )

    def __unicode__(self):
        return '%s %s' % (('On - ' if self.status else 'off - '), self.simple_text)

    class Meta:
        app_label = "simple_text"
